<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>oska: Console or log output</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="files.html">File&nbsp;List</a></div>
<h1>Console or log output</h1><table border=0 cellpadding=0 cellspacing=0>
<tr><td></td></tr>
<tr><td colspan=2><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align=right valign=top>enum &nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__print.html#ga2">os_print_level</a> { <br>
&nbsp;&nbsp;<b>OS_PRINT_ERROR</b>, 
<br>
&nbsp;&nbsp;<b>OS_PRINT_WARNING</b>, 
<br>
&nbsp;&nbsp;<b>OS_PRINT_INFO</b>, 
<br>
&nbsp;&nbsp;<b>OS_PRINT_DEBUG</b>
<br>
 }</td></tr>

<tr><td colspan=2><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align=right valign=top>void&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__print.html#ga0">os_print</a> (enum <a class="el" href="group__print.html#ga2">os_print_level</a> level, const char *prefix, const char *name, const char *format,...)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>void&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__print.html#ga1">os_vprint</a> (enum <a class="el" href="group__print.html#ga2">os_print_level</a> level, const char *prefix, const char *name, const char *format, va_list args)</td></tr>

</table>
<hr><h2>Enumeration Type Documentation</h2>
<a class="anchor" name="ga2" doxytag="print.h::os_print_level" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> enum <a class="el" href="group__print.html#ga2">os_print_level</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Severity of a console or log message.     </td>
  </tr>
</table>
<hr><h2>Function Documentation</h2>
<a class="anchor" name="ga0" doxytag="print.h::os_print" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void os_print </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">enum <a class="el" href="group__print.html#ga2">os_print_level</a>&nbsp;</td>
          <td class="mdname" nowrap> <em>level</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>const char *&nbsp;</td>
          <td class="mdname" nowrap> <em>prefix</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>const char *&nbsp;</td>
          <td class="mdname" nowrap> <em>name</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>const char *&nbsp;</td>
          <td class="mdname" nowrap> <em>format</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>...&nbsp;</td>
          <td class="mdname" nowrap></td>
        </tr>
        <tr>
          <td></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Write a text message to a log or the console.<p>
The c, d, p, s, and x conversion specifiers and the field length and pad character should be supported (e.g., %08x).<p>
The message may be truncated if it's longer than 80 characters.<p>
Callable from: any context.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign=top><em>level</em>&nbsp;</td><td>severity of the message. </td></tr>
    <tr><td valign=top><em>prefix</em>&nbsp;</td><td>string to be prefixed to the message. </td></tr>
    <tr><td valign=top><em>name</em>&nbsp;</td><td>the name of the device or subsystem producing the message (may be NULL). </td></tr>
    <tr><td valign=top><em>format</em>&nbsp;</td><td>printf-style format string. </td></tr>
    <tr><td valign=top><em>...</em>&nbsp;</td><td>arguments for <em>format</em>. </td></tr>
  </table>
</dl>
    </td>
  </tr>
</table>
<a class="anchor" name="ga1" doxytag="print.h::os_vprint" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void os_vprint </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">enum <a class="el" href="group__print.html#ga2">os_print_level</a>&nbsp;</td>
          <td class="mdname" nowrap> <em>level</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>const char *&nbsp;</td>
          <td class="mdname" nowrap> <em>prefix</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>const char *&nbsp;</td>
          <td class="mdname" nowrap> <em>name</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>const char *&nbsp;</td>
          <td class="mdname" nowrap> <em>format</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>va_list&nbsp;</td>
          <td class="mdname" nowrap> <em>args</em></td>
        </tr>
        <tr>
          <td></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Write a text message to a log or the console.<p>
A variant of <a class="el" href="group__print.html#ga0">os_print()</a> accepting a va_list for the <em>format</em> arguments.<p>
Callable from: any context.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign=top><em>level</em>&nbsp;</td><td>severity of the message. </td></tr>
    <tr><td valign=top><em>prefix</em>&nbsp;</td><td>string to be prefixed to the message. </td></tr>
    <tr><td valign=top><em>name</em>&nbsp;</td><td>the name of the device or subsystem producing the message (may be NULL). </td></tr>
    <tr><td valign=top><em>format</em>&nbsp;</td><td>printf-style format string. </td></tr>
    <tr><td valign=top><em>args</em>&nbsp;</td><td>arguments for <em>format</em>. </td></tr>
  </table>
</dl>
    </td>
  </tr>
</table>
<hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:35 2008 for oska by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
